function MobiDrugAssistant(params) {
	if (params) {
		name = params.drugnames;
		urladd = params.urladd;
	}
	else{};
};

MobiDrugAssistant.prototype.setup = function() {
		
	scrollthreshold = 900;
	$('Info').innerHTML = "Loading";
	count = 0;
	$('name').innerHTML = name;
	this.feedMenuModel = {
		visible: true,
		items: [{
			items: [
				{items:[{label: $L('Back'), icon:'back', command:'backtolast'},
	      		{ label:"No Information", width: 200}, //titleText
	      		{label: $L('Forward'), icon:'forward', command:'fwd'}]}
	    	]
	  	}]
	};
	this.controller.setupWidget(Mojo.Menu.commandMenu, {spacerHeight: 0, menuClass:'no-fade' }, this.feedMenuModel);
	
	firsturl = "http://drugs.mobi"
	url = firsturl + urladd;
	var myAJax = new Ajax.Request(url,
			{
				method: 'post',
				evalJSON: 'force',
				//onSuccess: this.getInfo.bind(this)
				onComplete: this.gotResponse.bind(this)
	});
	
	//Listen for flicks
	Element.observe(this.controller.get('Info'), Mojo.Event.flick, this.flickCommand.bind(this));
};

MobiDrugAssistant.prototype.gotResponse = function(transport) {
	
	everything = transport.responseText;
	$('everything').innerHTML = everything;
	$('everything').style.display = "none";
	startstr = [];
	startstr[0] = '<a id="dosing"></a>';
	startstr[1] = '<a name="sideeffects">';
	startstr[2] = '<a id="lact"></a>';
	startstr[3] = '<a id="preg"></a>';
	startstr[4] = '<a id="pharma"></a>';
	startstr[5] = '<a id="pharmacok"></a>';

	this.showInfo(count);

};

MobiDrugAssistant.prototype.showInfo = function (index) {
	
	endstr = '<a href="#top">';
	start = everything.indexOf(startstr[index]);
	info1 = everything.slice(start);
	end = info1.indexOf(endstr);
	info = info1.slice(0, end);
	$('Info').innerHTML = info;
	title = document.getElementsByTagName('h2')[0].firstChild.nodeValue;
	this.feedMenuModel.items[0].items[0].items[1].label = title;
	this.controller.modelChanged(this.feedMenuModel);
	
};

MobiDrugAssistant.prototype.flickCommand = function(event){
	if (event.velocity.x < -scrollthreshold){
		if (count < 5) {
			count++;
		}
		else {
			count = 0;
		};
	}
	else if (event.velocity.x > scrollthreshold) {
		if (count > 0) {
			count--;
		}
		else {
			count = 5;
		}
	};
	this.showInfo(count);
};

MobiDrugAssistant.prototype.handleCommand = function(event) {
	if(event.type == Mojo.Event.command) {
	switch(event.command) {

		case 'fwd':
			if (count < 5) {
				count++;
			}
			else {
				count = 0;
			};
			this.showInfo(count);
		break;

		case 'backtolast':
			if (count > 0) {
				count--;
			}
			else {
				count = 5;
			}
			this.showInfo(count);
		break;

		case 'showversemenu':
		break;
	 }
    };
};

MobiDrugAssistant.prototype.activate = function() {

};

MobiDrugAssistant.prototype.cleanup = function() {
	$('everything').innerHTML = " ";
	Mojo.Event.stopListening(this.controller.get('Info'), Mojo.Event.flick, this.flickCommand.bind(this));
};
