//Hybrid version

function SearchAssistant() {

}

SearchAssistant.prototype.setup = function() {

// Setup Cookie
	versionString = "0.2.0";
	searchState = 0;
	searchString = "";
	cookie = new Mojo.Model.Cookie('DrugView');
	var oldPrefs = cookie.get();
	if(oldPrefs) {
		// If current version, just update globals & prefs
		if(oldPrefs.versionString == versionString)  {
	 		searchState = oldPrefs.searchState;
	 		versionString = oldPrefs.versionString;
			searchString = oldPrefs.searchString;
		}
		else  {
			versionString = "0.2.0";
			searchState = 0;
			searchString = "";
		};
	};
	oldPrefs = cookie.get();

//  Setup App Menu
    this.controller.setupWidget(Mojo.Menu.appMenu, myMenuAttr, myMenuModel);

	images = [];
	images[0] = "http://drugs.mobi/img/drugs_logo_mobi.gif";
	images[1] = "https://online.epocrates.com/common/images/homelogo.png";
	images[2] = "http://www.mims.com/images/MIMSonlineBETA_US.png";
	images[3] = "http://upload.wikimedia.org/wikipedia/commons/6/62/174px-Wikipedia-word1_7.png";
	$("image").innerHTML = ('<img src=' + images[searchState] + ' >');

	this.buttonAttributes = {};
	this.buttonModel = {
		buttonLabel : 'SEARCH',
		buttonClass : '',
		disabled : false
		};

	this.controller.setupWidget("formulary", {
			label: "Formulary",
			choices: [
				{label: "drugs.mobi", value: 0},
				{label: "epocrates", value: 1},
				{label: "mims usa", value: 2},
				{label: "wikipedia", value: 3}

			]
		}, this.formularyModel = {
			value: searchState
		});

//		this.controller.setupWidget("drugName", {hintText: "Drug Name..."}, {});
		this.controller.setupWidget("drugName", {hintText: "Drug Name..."}, textmodel = {});
	Mojo.Event.listen(this.controller.get("formulary"), Mojo.Event.propertyChange, this.handleUpdate.bind(this));

	this.controller.setupWidget("MyButton", this.buttonAttributes, this.buttonModel);
	Mojo.Event.listen(this.controller.get('MyButton'), Mojo.Event.tap, this.handleButtonPress.bind(this));

	placeHolder = {
		value: searchState
	};
	this.handleUpdate(placeHolder);
}

SearchAssistant.prototype.handleButtonPress = function(event){

	cookie = new Mojo.Model.Cookie('DrugView');
	cookie.put( {
		searchState: this.formularyModel.value,
		searchString: event.value,
		versionString: versionString
	});

	var drugmobi='drugs.mobi/m/search.php?q=';
	var epocrates='online.epocrates.com/public/portkey/?mode=drugdisease&src=ms&cid=MedSearch&monograph=';
	var mimsusa='mims.com/Page.aspx?menuid=mimssearch&searchcategory=AUTODET&CTRY=US&SiteDisplayMode=MINS&searchstring=';
	var wikipedia='en.m.wikipedia.org/wiki?search=';
	var choice= parseInt(this.formularyModel.value);
	var drugsearch=$("drugName").mojo.getValue();
	// sx
		params = {
			title: textmodel.value
		};
	var searchurl="";
	//if (choice==0 && drugsearch!="")
	//{searchurl=drugmobi + drugsearch}
	if (choice==1 && drugsearch!="")
	{searchurl=epocrates + drugsearch}
	if (choice==2 && drugsearch!="")
	{searchurl=mimsusa + drugsearch}
	if (choice==3 && drugsearch!="")
	{searchurl=wikipedia + drugsearch}

	if (drugsearch==""){
		Mojo.Controller.errorDialog("Empty search string!");
	}
	else
	{

//Mojo.Controller.stageController.pushScene("drugview",searchurl);
		if (choice == 0) {
		Mojo.Controller.stageController.pushScene("mobi", params);
		}
		if (choice == 1) {
		Mojo.Controller.stageController.pushScene("drugview", searchurl);
		}
		if (choice == 2) {
		Mojo.Controller.stageController.pushScene("drugview", searchurl);
		}
		if (choice == 3) {
		Mojo.Controller.stageController.pushScene("drugview", searchurl);
		}
	}

};

SearchAssistant.prototype.handleUpdate = function(event) {

	$("image").innerHTML = ('<img src=' + images[event.value] + ' >');
};